#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Parse
%define		pnam	Yapp
Summary:	Parse::Yapp Perl module
Summary(cs.UTF-8):	Modul Parse::Yapp pro Perl
Summary(da.UTF-8):	Perlmodul Parse::Yapp
Summary(de.UTF-8):	Parse::Yapp Perl Modul
Summary(es.UTF-8):	Módulo de Perl Parse::Yapp
Summary(fr.UTF-8):	Module Perl Parse::Yapp
Summary(it.UTF-8):	Modulo di Perl Parse::Yapp
Summary(ja.UTF-8):	Parse::Yapp Perl モジュール
Summary(ko.UTF-8):	Parse::Yapp 펄 모줄
Summary(nb.UTF-8):	Perlmodul Parse::Yapp
Summary(pl.UTF-8):	Moduł Perla Parse::Yapp
Summary(pt.UTF-8):	Módulo de Perl Parse::Yapp
Summary(pt_BR.UTF-8):	Módulo Perl Parse::Yapp
Summary(ru.UTF-8):	Модуль для Perl Parse::Yapp
Summary(sv.UTF-8):	Parse::Yapp Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Parse::Yapp
Summary(zh_CN.UTF-8):	Parse::Yapp Perl 模块
Name:		perl-Parse-Yapp
Version:	1.05
Release:	34
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7bfca736d6af36c51edf7a97111a8f3b
Patch0:		%{name}-man.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parse::Yapp - Yet Another Perl Parser compiler.

%description -l pl.UTF-8
Moduł Perla Parse::Yapp - jeszcze jedno narzędzie do tworzenia
parserów perlowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/yapp
%{perl_vendorlib}/Parse/Yapp.pm
%{perl_vendorlib}/Parse/Yapp
%{_mandir}/man[13]/*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Parse-Yapp.git;a=log;h=master

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> daff201
- release 34 (by relup.sh)

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 1d4ef0c
- release 33

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 6f69026
- release 32

* Tue Mar 04 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> c7aedf2
- rel.7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 28084da
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2cdf908
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cacb62d
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 8cb87ca
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 510a710
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> 489df6f
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 8a4e2a4
- tests added, license fixes, cosmetics

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 134e43d
- s/no/nb/ in Summary langs

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 00a264b
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> c2fe766
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 4181f29
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> cdb9023
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> eed87f3
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 59ad299
- should be ready for perl-5.8.0; release++

* Mon Feb 24 2003 radek <radek@pld-linux.org> dde6320
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> c9535a9
- massive attack: change CPAN URLs

